﻿#language: ru

Функционал: Паспорт варки

Сценарий: Паспорт варки
	Дано Я подключаюсь под "Технолог"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   | 'Наименование для печати' |
		| 'Российский 50%' | 'Российский 50%'          |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Российский 50% (Номенклатура)'
	И у поля  с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 0
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '12.03.2019'   | '1'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно '12.03.2019/1 (Серия номенклатуры)'
	И я нажимаю на кнопку "Паспорт партии"
	Тогда открылось окно 'Российский 50% / Варка / 12.03.2019/1: Паспорт партии'
	И я перехожу к закладке "Настройки"
	И я нажимаю кнопку выбора у поля "Показатель влаги"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Жир в сухом веществе' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Российский 50% / Варка / 12.03.2019/1: Паспорт партии'
	И в табличном документе 'ПараметрыСреды' я перехожу к ячейке "R12C1"
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R1C4" равна '952,1 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R6C4" равна '10,526 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R5C4" равна '10,526 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом  "R12C4" равна '10 022,105 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R13C4" равна '10 022,105 кг'
	И в табличном документе "Анализы" ячейка с адресом "R1C2" равна 'МДБ:'
	И в табличном документе "Анализы" ячейка с адресом "R2C4" равна 'от 0,3 до 6'
	И в табличном документе "Анализы" ячейка с адресом "R3C4" равна '22'
	И в табличном документе "Анализы" ячейка с адресом "R5C2" равна 'МДЖ:'
	И в табличном документе "Анализы" ячейка с адресом "R6C3" равна 'норма:'
	И в табличном документе "Анализы" ячейка с адресом "R6C4" равна 'от 0,3 до 50'
	И в табличном документе "Анализы" ячейка с адресом "R7C4" равна '25'
	И в табличном документе "СырьеМатериалы" ячейка с адресом "R1C2" равна 'Закваска'
	И в табличном документе "СырьеМатериалы" ячейка с адресом "R3C4" равна 'норма:'
	И в табличном документе "СырьеМатериалы" ячейка с адресом "R3C5" равна '0,231 кг'
	И в табличном документе "СырьеМатериалы" ячейка с адресом "R4C4" равна 'факт:'
	И в табличном документе "СырьеМатериалы" ячейка с адресом "R4C5" равна '0,231 кг'
	И в табличном документе "КонтрольВремени" ячейка с адресом "R1C2" равна 'Бассейн соления'
	И в табличном документе "КонтрольВремени" ячейка с адресом "R3C4" равна 'Норма:'
	И в табличном документе "КонтрольВремени" ячейка с адресом "R3C5" равна '36 ч'
	И я меняю значение переключателя 'Характеристика' на 'На созревании'
	Тогда открылось окно 'Российский 50% / На созревании / 12.03.2019/1: Паспорт партии'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R1C4" равна '914,8 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R5C4" равна '1,002 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R6C4" равна '1 кг'
	И в табличном документе "Анализы" ячейка с адресом "R1C2" равна 'МДЖ:'
	И в табличном документе "Анализы" ячейка с адресом "R2C3" равна 'норма:'
	И в табличном документе "Анализы" ячейка с адресом "R2C4" равна 'от ... до ...'
	И в табличном документе "Анализы" ячейка с адресом "R3C4" равна '28'
	И в табличном документе "Анализы" ячейка с адресом "R5C2" равна 'Рисунок:'
	И я меняю значение переключателя 'Характеристика' на 'Созревший'
	Тогда открылось окно 'Российский 50% / Созревший / 12.03.2019/1: Паспорт партии'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R1C4" равна '622,8 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R5C4" равна '1,001 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R6C4" равна '1 кг'
	И в табличном документе "ВыходаОсновные" ячейка с адресом "R13C4" равна '622,8 кг'
	И я перехожу к закладке "Параметры среды"
	И Я закрываю окно 'Российский 50% / Созревший / 12.03.2019/1: Паспорт партии'
	Тогда открылось окно '12.03.2019/1 (Серия номенклатуры)'
	И Я закрываю окно '12.03.2019/1 (Серия номенклатуры)'
	Тогда открылось окно 'Серии номенклатуры'
	И Я закрываю окно 'Серии номенклатуры'
	Тогда открылось окно 'Российский 50% (Номенклатура)'
	И Я закрываю окно 'Российский 50% (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 10_milk_scenario.07.02 Закрытие клиента тестирования Технолог
	И я закрываю сеанс TESTCLIENT